package com.njcn.device.pq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.device.pq.pojo.po.ResourceData;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;


/**
 * @version 1.0.0
 * @author: zbj
 * @date: 2023/05/25
 */
public interface ResourceService extends IService<ResourceData> {

    Boolean uploadFile(MultipartFile multipartFile, MultipartFile picture, String name, Integer state, Integer type);

    List<ResourceData> queryData(Integer type,Integer state,String searchValue);

    void previewFile(String id, HttpServletRequest request, HttpServletResponse response) throws IOException;

    Boolean updateFile(String id, MultipartFile multipartFile, MultipartFile picture, String name, Integer state,Integer type);

    Boolean deleteFile(String id);

 /*
    void exportData();*/
}
